[Home]MinimumSoftwareVersions

LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org

This page documents the version of various packages for platforms we support for LinuxCNC 2.7. In the master branch, we have dropped support for Ubuntu 10.04.

It can be useful in deciding what OS / library / language features can be used in LinuxCNC.

Software Package Operating system
  Ubuntu 10.04
lucid
Ubuntu 12.04
precise
Debian 7.x
Wheezy
Debian 8.x
Jessie
Kernel 2.6.32 3.4 3.4(rtai) 3.2 (rt-preempt)  
rtai 3.8 3.9 3.9  
tcl/tk 8.5 8.5 8.5 8.6
python2 2.6 2.7 2.7 2.7
gtk 2 2.12.9 2.24.10 2.24.10 2.24.25
gtk 3 N/A 3.4.2 3.4.2 3.14.5
gcc 4.4 4.6 4.7 4.9
libgl LD_PRELOAD bug yes no no no
mesa 7.0.3 8.0.4 8.0.5 10.3.2
EGL + ES 2.0 no yes yes yes
numpy 1.3.0 1.6.1 1.6.2 1.8.2
  2.6
  2.7
  Master


LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org
This page is read-only. Follow the BasicSteps to edit pages. | View other revisions
Last edited October 5, 2016 9:42 am by JeffEpler (diff)
Search:
Published under a Creative Commons License